.modal .close-button-wrapper {
  position: absolute;
  right: 50px;
  top: 30px;
}
.modal .close-button {
  position: fixed;
  border: 0;
  background-color: transparent;
  font-size: 0;
  height: 30px;
  width: 30px;
  transform: rotate(-45deg);
  cursor: pointer;
}

@-moz-document url-prefix() {
  .modal .close-button {
    position: absolute;
  }
}

.modal .close-button:focus {
  outline: none;
}
.modal .close-button:before,
.modal .close-button:after {
  content: "";
  display: block;
  background-color: var(--dark-grey);
  position: absolute;
  height: 4px;
  width: 30px;
  border-radius: 2px;
  z-index: 20;
}
.modal .close-button:before {
  transform: rotate(-90deg);
}
main {
  text-align: left;
}

/* MODAL SPECIFIC HEADING ADJUSTMENTS */
.modal .modal-wrapper h2,
.modal .modal-wrapper h3 {
  text-align: center;
}
.modal .modal-wrapper h2 {
  font-size: 14px;
  margin-bottom: 15px;
}
.modal .modal-wrapper h3 {
  margin-top: 0;
  margin-bottom: 50px;
}
.modal .modal-wrapper h4 {
  margin-bottom: 0;
}
.modal .modal-wrapper p {
  text-align: left;
}
.modal-inner {
  padding: 60px 140px;
}
.modal dialog {
  width: 80vw;
  border: 0;
}
.modal .modal-wrapper {
  position: fixed;
  left: 50%;
  top: 0;
  transform: translate(-50%);
  border: 0;
  cursor: default;
}
.modal dialog::backdrop {
  position: fixed;
  inset: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  backdrop-filter: blur(3px);
  z-index: 1;
}
@media (max-width: 1200px) {
  .modal .modal-inner {
    padding: 30px;
  }
}
@media (max-width: 1024px) {
  .modal dialog {
    width: 90vw;
  }
  .modal .modal-inner {
    padding: 20px;
  }
  .modal .close-button-wrapper {
    right: 35px;
  }
}
@media (max-width: 700px) {
  .modal dialog {
    width: 95vw;
    max-width: 95vw;
    height: 95vh;
    max-height: 95vh;
  }
  .modal .modal-inner {
    padding: 20px;
  }
  .modal .close-button-wrapper {
    top: 20px;
    right: 50px;
  }
}
